/*
 * Copyright 2001 MontaVista Software Inc.
 * Author: Jun Sun, jsun@mvista.com or jsun@junsun.net
 *
 * arch/mips/aloha/prom.c
 *     prom setup file for aloha
 *
 * This program is free software; you can redistribute  it and/or modify it
 * under  the terms of  the GNU General  Public License as published by the
 * Free Software Foundation;  either version 2 of the  License, or (at your
 * option) any later version.
 ***********************************************************************
 */

#include <linux/init.h>
#include <linux/config.h>
#include <linux/kernel.h>
#include <linux/string.h>
#include <linux/mm.h>
#include <linux/bootmem.h>

#include <asm/bootinfo.h>
#include <asm/addrspace.h>

char arcs_cmdline[COMMAND_LINE_SIZE];

void __init prom_init(void)
{
        strcpy(arcs_cmdline, "console=ttyS0,115200");
        strcat(arcs_cmdline, " ip=bootp");

	/* you should these macros defined in include/asm/bootinfo.h */
        mips_machgroup = MACH_GROUP_HAWAII;
        mips_machtype = MACH_ALOHA;

	/* Aloha board has 8 MB ram */
	add_memory_region(0, 8 << 20 , BOOT_MEM_RAM);
}

void __init prom_free_prom_memory(void)
{
}

void __init prom_fixup_mem_map(unsigned long start, unsigned long end)
{
}


